List agent grants
Lists the access profiles and secrets granted to an agent, with scopes, expiry times, and usage stats.
GET
Lists the access profiles and secrets granted to an agent, with scopes, expiry times, and usage stats.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
project*stringThe project's ID.
Match
^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$agent*stringThe agent's ID.
Match
^ags_[0-7][0-9a-hjkmnp-tv-z]{25}$OK
application/json- response
grants*array<>Grants held by the agent, oldest first.
curl -X GET 'https://api.kosem.ai/v1/projects/string/agents/string/grants'Example Response
{
"grants": [
{
"alias": "string",
"createTime": "2019-08-24T14:15:22Z",
"expireTime": "2019-08-24T14:15:22Z",
"grantor": "string",
"id": "string",
"lastUsedTime": "2019-08-24T14:15:22Z",
"provider": "string",
"scope": {
"property1": null,
"property2": null
},
"target": "string",
"targetKind": "ACCESS_PROFILE",
"useCount": 0
}
]
}